events.listen('recipes', function (e) {
  e.remove({id: 'ctiers:compressed_iron_block'})
  e.remove({id: 'ctiers:double_compressed_iron_block'})
  e.remove({id: 'ctiers:triple_compressed_iron_block'})
  e.remove({id: 'ctiers:quadruple_compressed_iron_block'})
  e.remove({id: 'ctiers:quintuple_compressed_iron_block'})
  e.remove({id: 'ctiers:sextuple_compressed_iron_block'})
  e.remove({id: 'ctiers:compressed_gold_block'})
  e.remove({id: 'ctiers:double_compressed_gold_block'})
  e.remove({id: 'ctiers:triple_compressed_gold_block'})
  e.remove({id: 'ctiers:quadruple_compressed_gold_block'})
  e.remove({id: 'ctiers:quintuple_compressed_gold_block'})
  e.remove({id: 'ctiers:sextuple_compressed_gold_block'})
  e.remove({id: 'ctiers:compressed_diamond_block'})
  e.remove({id: 'ctiers:double_compressed_diamond_block'})
  e.remove({id: 'ctiers:triple_compressed_diamond_block'})
  e.remove({id: 'ctiers:quadruple_compressed_diamond_block'})
  e.remove({id: 'ctiers:quintuple_compressed_diamond_block'})
  e.remove({id: 'ctiers:sextuple_compressed_diamond_block'})
  e.remove({id: 'ctiers:compressed_emerald_block'})
  e.remove({id: 'ctiers:double_compressed_emerald_block'})
  e.remove({id: 'ctiers:triple_compressed_emerald_block'})
  e.remove({id: 'ctiers:quadruple_compressed_emerald_block'})
  e.remove({id: 'ctiers:quintuple_compressed_emerald_block'})
  e.remove({id: 'ctiers:sextuple_compressed_emerald_block'})
  e.remove({id: 'ctiers:centrifuge_controller_tier_3_2'})
  e.remove({id: 'ctiers:centrifuge_casing_tier_3_2'})
  e.remove({id: 'ctiers:centrifuge_controller_tier_4_2'})
  e.remove({id: 'ctiers:centrifuge_casing_tier_4_2'})
  e.remove({id: 'ctiers:centrifuge_controller_tier_5_2'})
  e.remove({id: 'ctiers:centrifuge_casing_tier_5_2'})
  e.remove({id: 'ctiers:centrifuge_controller_tier_creative_2'})
  e.remove({id: 'ctiers:centrifuge_casing_tier_creative_2'})
  e.remove({id: 'ctiers:centrifuge_controller_tier_creative'})
  e.remove({id: 'ctiers:centrifuge_casing_tier_creative'})
  e.remove({id: "immersiveengineering:crafting/stick_aluminum"})
  e.remove({id: "thermal:bronze_dust_4"})
  e.remove({id: "thermal:fire_charge/bronze_ingot_4"})
  e.remove({id: "mekanism:processing/bronze/ingot/from_nuggets"})
  e.remove({id: "mekanism:processing/bronze/ingot/from_block"})
  e.remove({id: "mekanism:processing/bronze/ingot/from_dust_blasting"})
  e.remove({id: "mekanism:processing/bronze/ingot/from_dust_smelting"})
  e.remove({id: "mekanism:nuggets/bronze"})
  e.remove({id: "thermal:fire_charge/electrum_ingot_2"})
  e.remove({id: "immersiveengineering:crafting/ingot_electrum_from_dust_from_blasting"})
  e.remove({id: "immersiveengineering:crafting/ingot_electrum_from_dust"})
  e.remove({id: "immersiveengineering:crafting/ingot_electrum_to_nugget_electrum"})
  e.remove({id: "thermal:electrum_dust_2"})
  e.remove({id: "immersiveengineering:crafting/electrum_mix"})
  e.remove({id: "thermal:fire_charge/invar_ingot_3"})
  e.remove({id: "thermal:invar_dust_3"})
  e.remove({id: "thermal:fire_charge/constantan_ingot_2"})
  e.remove({id: "immersiveengineering:crafting/ingot_constantan_from_dust_from_blasting"})
  e.remove({id: "immersiveengineering:crafting/ingot_constantan_from_dust"})
  e.remove({id: "immersiveengineering:crafting/ingot_constantan_to_nugget_constantan"})
  e.remove({id: "immersiveengineering:crafting/constantan_mix"})
  e.remove({id: "thermal:constantan_dust_2"})
  e.remove({id: "thermal:fire_charge/signalum_ingot_4"})
  e.remove({id: "thermal:signalum_dust_4"})
  e.remove({id: "thermal:fire_charge/lumium_ingot_4"})
  e.remove({id: "thermal:lumium_dust_4"})
  e.remove({id: "thermal:fire_charge/enderium_ingot_2"})
  e.remove({id: "thermal:enderium_dust_2"})
  e.remove({id: "bluepower:zinc_ingot"})
  e.remove({id: "immersiveengineering:crafting/nugget_steel_to_ingot_steel"})
  e.remove({id: "immersiveengineering:crafting/storage_uranium_to_ingot_uranium"})
  e.remove({id: "immersiveengineering:crafting/nugget_uranium_to_ingot_uranium"})
  e.remove({id: "create:crafting/materials/copper_ingot_from_compacting"})
  e.remove({id: "tconstruct:common/materials/copper_ingot_from_nuggets"})
  e.remove({id: "mekanism:processing/copper/ingot/from_nuggets"})
  e.remove({id: "bluepower:copper_ingot"})
  e.remove({id: "mekanism:processing/copper/ingot/from_block"})
  e.remove({id: "create:crafting/materials/copper_ingot_from_decompacting"})
  e.remove({id: "tconstruct:common/materials/copper_ingot_from_block"})
  e.remove({id: "mekanism:processing/tin/ingot/from_nuggets"})
  e.remove({id: "mekanism:processing/tin/ingot/from_block"})
  e.remove({id: "mekanism:processing/lead/ingot/from_block"})
  e.remove({id: "mekanism:processing/lead/ingot/from_nuggets"})
  e.remove({id: "bluepower:silver_ingot"})
  e.remove({id: "iceandfire:silver_ingot"})
  e.remove({id: "iceandfire:silver_block_to_ingots"})
  e.remove({id: "bluepower:wood_sickle"})
  e.remove({id: "bluepower:stone_sickle"})
  e.remove({id: "bluepower:iron_sickle"})
  e.remove({id: "bluepower:gold_sickle"})
  e.remove({id: "bluepower:diamond_sickle"})
  e.remove({id: "betterendforge:terminite_ingot"})
  e.remove({id: "cyclic:solidifier_honey_block0"})
  e.remove({id: "botania:red_string"})
  e.remove({id: "quark:tweaks/crafting/utility/bent/bread"})
  e.remove({id: "minecraft:bread"})
  e.remove({id: "pamhc2crops:bread_grain"})
  e.remove({id: "pamhc2foodcore:bread_dough"})
  e.remove({id: "pamhc2trees:bread_breadfruit"})
  e.remove({id: "industrialforegoing:black_hole_controller"})
  e.remove({id: 'ironchest:upgrades/iron_to_gold_chest_upgrade'})
  e.remove({id: 'ironchest:upgrades/gold_to_diamond_chest_upgrade'})
  e.remove({id: 'ironchest:upgrades/copper_to_silver_chest_upgrade'})
  e.remove({id: 'ironchest:upgrades/silver_to_gold_chest_upgrade'})
  e.remove({id: 'ironchest:upgrades/copper_to_iron_chest_upgrade'})
  e.remove({id: 'ironchest:upgrades/diamond_to_crystal_chest_upgrade'})
  e.remove({id: 'ironchest:upgrades/wood_to_iron_chest_upgrade'})
  e.remove({id: 'ironchest:upgrades/wood_to_copper_chest_upgrade'})
  e.remove({id: 'ironchest:upgrades/diamond_to_obsidian_chest_upgrade'})
  e.remove({id: 'byg:chain_plating'})
  e.remove({id: 'byg:chain_chestplate'})
  e.remove({id: 'byg:chain_leggings'})
  e.remove({id: 'byg:chain_boots'})
  e.remove({id: 'byg:chain_helmet'})
  e.remove({id: 'quark:building/crafting/compressed/carrot_crate'})
  e.remove({id: 'quark:building/crafting/compressed/potato_crate'})
  e.remove({id: 'quark:building/crafting/compressed/apple_crate'})
  e.remove({id: 'quark:building/crafting/compressed/beetroot_crate'})
  e.remove({id: 'quark:building/crafting/compressed/sugar_cane_block'})
  e.remove({id: 'quark:building/crafting/compressed/sugar_cane_block_uncompress'})
  e.remove({id: 'pamhc2foodcore:fruitpunchitem'})
  e.remove({id: 'metalbarrels:barrels/wood_to_iron_barrel'})
  e.remove({id: 'metalbarrels:barrels/iron_to_gold_barrel'})
  e.remove({id: 'metalbarrels:barrels/wood_to_gold_barrel'})
  e.remove({id: 'metalbarrels:barrels/silver_to_diamond_barrel'})
  e.remove({id: 'ironfurnaces:iron_furnace'})
  e.remove({id: 'ironfurnaces:silver_furnace2'})
  e.remove({id: 'ironfurnaces:gold_furnace'})
  e.remove({id: 'ironchest:chests/vanilla_iron_chest'})
  e.remove({id: 'ironchest:chests/copper_silver_chest'})
  e.remove({id: 'ironchest:chests/iron_gold_chest'})
  e.remove({id: 'ironchest:chests/silver_diamond_chest'})
  e.remove({id: 'quark:tweaks/smelting/bone_meal_utility'})
  e.remove({id: 'supplementaries:candelabra_recipe_3'})
  e.remove({id: 'supplementaries:candle_holder_recipe_3'})
  e.remove({id: 'overloaded:blocks/hyper_transfer/hyper_fluid_sender'})
  e.remove({id: 'overloaded:blocks/hyper_transfer/hyper_fluid_receiver'})
  e.remove({id: 'overloaded:blocks/hyper_transfer/hyper_energy_sender'})
  e.remove({id: 'overloaded:blocks/hyper_transfer/hyper_energy_receiver'})
  e.remove({id: 'overloaded:blocks/hyper_transfer/hyper_item_sender'})
  e.remove({id: 'overloaded:blocks/hyper_transfer/hyper_item_receiver'})
  e.remove({id: 'overloaded:blocks/container/infinite_tank'})
  e.remove({id: 'overloaded:blocks/container/true_infinite_tank'})
  e.remove({id: 'overloaded:blocks/container/infinite_capacitor'})
  e.remove({id: 'overloaded:blocks/container/true_infinite_capacitor'})
  e.remove({id: 'overloaded:blocks/container/infinite_barrel'})
  e.remove({id: 'overloaded:blocks/container/true_infinite_barrel'})
  e.remove({id: 'overloaded:blocks/nether_star_block'})
  e.remove({id: 'overloaded:items/crafting/fluid_core'})
  e.remove({id: 'overloaded:items/crafting/item_core'})
  e.remove({id: 'overloaded:items/crafting/energy_core'})
  e.remove({id: 'overloaded:blocks/infinite_water_source'})
  e.remove({id: 'overloaded:blocks/instant_furnace'})
  e.remove({id: 'overloaded:items/functional/multi_tool'})
  e.remove({id: 'overloaded:items/functional/rail_gun'})
  e.remove({id: 'overloaded:items/functional/settings_editor'})
  e.remove({id: 'overloaded:items/functional/armor/multi_helmet'})
  e.remove({id: 'overloaded:items/functional/armor/multi_chestplate'})
  e.remove({id: 'overloaded:items/functional/armor/multi_leggings'})
  e.remove({id: 'overloaded:items/functional/armor/multi_boots'})
  e.remove({id: 'mapperbase:steel_ingot_from_blasting'})
  e.remove({id: 'mapperbase:steel_plate_from_blasting'})
  e.remove({id: 'mapperbase:steel_rod_from_blasting'})
  e.remove({id: 'mapperbase:steel_slab'})
  e.remove({id: 'mapperbase:steel_ingot'})
  e.remove({id: 'mapperbase:steel_ingot_from_block'})
  e.remove({id: 'mapperbase:steel_rod'})
  e.remove({id: 'mapperbase:iron_rod'})
  e.remove({id: 'rats:rat_upgrade_dragon_vanilla'})
  e.remove({id: "cyclic:uncrafter" })
  e.remove({id: "morered:red_alloy_ingot_without_jumbo_furnace" })  
  e.remove({id: "forbidden_arcanus:arcane_gold_ingot_1"})
  e.remove({id: "forbidden_arcanus:arcane_gold_ingot_2"})
  e.remove({id: "forbidden_arcanus:arcane_gold_ingot_3"})
  e.remove({id: 'immersiveengineering:crafting/plate_silver_hammering'})
  e.remove({id: 'immersiveengineering:crafting/plate_aluminum_hammering'})
  e.remove({id: 'immersiveengineering:crafting/plate_electrum_hammering'})
  e.remove({id: 'immersiveengineering:crafting/plate_iron_hammering'})
  e.remove({id: 'immersiveengineering:crafting/plate_gold_hammering'})
  e.remove({id: 'immersiveengineering:crafting/plate_steel_hammering'})
  e.remove({id: 'immersiveengineering:crafting/plate_uranium_hammering'})
  e.remove({id: 'immersiveengineering:crafting/plate_copper_hammering'})
  e.remove({id: 'immersiveengineering:crafting/plate_nickel_hammering'})
  e.remove({id: 'immersiveengineering:crafting/plate_lead_hammering'})
  e.remove({id: 'immersiveengineering:crafting/plate_constantan_hammering'})
  e.remove({id: 'immersiveengineering:crafting/hammercrushing_osmium'})
  e.remove({id: 'immersiveengineering:crafting/hammercrushing_silver'})
  e.remove({id: 'immersiveengineering:crafting/hammercrushing_uranium'})
  e.remove({id: 'immersiveengineering:crafting/hammercrushing_aluminum'})
  e.remove({id: 'immersiveengineering:crafting/hammercrushing_iron'})
  e.remove({id: 'immersiveengineering:crafting/hammercrushing_gold'})
  e.remove({id: 'immersiveengineering:crafting/hammercrushing_copper'})
  e.remove({id: 'immersiveengineering:crafting/hammercrushing_zinc'})
  e.remove({id: 'immersiveengineering:crafting/hammercrushing_nickel'})
  e.remove({id: 'immersiveengineering:crafting/hammercrushing_lead'})
  e.remove({id: 'immersiveengineering:crafting/hammercrushing_tin'})
  e.remove({id: 'immersiveengineering:crafting/component_steel'})
  e.remove({id: 'immersiveengineering:crafting/component_iron'})
  e.remove({id: 'immersiveengineering:metalpress/gear_iron'})
  e.remove({id: 'immersiveengineering:metalpress/gear_gold'})
  e.remove({id: 'immersiveengineering:crafting/ingot_copper_to_nugget_copper'})
  e.remove({id: 'immersiveengineering:crafting/nugget_copper_to_ingot_copper'})
  e.remove({id: 'immersiveengineering:crafting/ingot_copper_to_storage_copper'})
  e.remove({id: 'immersiveengineering:crafting/storage_copper_to_ingot_copper'})
  e.remove({id: 'immersiveengineering:crafting/nugget_lead_to_ingot_lead'})
  e.remove({id: 'immersiveengineering:crafting/storage_lead_to_ingot_lead'})
  e.remove({id: 'immersiveengineering:crafting/ingot_lead_to_storage_lead'})
  e.remove({id: 'immersiveengineering:crafting/nugget_electrum_to_ingot_electrum'})
  e.remove({id: 'immersiveengineering:crafting/storage_electrum_to_ingot_electrum'})
  e.remove({id: 'immersiveengineering:crafting/ingot_electrum_to_electrum'})
  e.remove({id: 'immersiveengineering:crafting/ingot_electrum_to_storage_electrum'})
  e.remove({id: 'immersiveengineering:crafting/nugget_constantan_to_ingot_constantan'})
  e.remove({id: 'immersiveengineering:crafting/storage_constantan_to_ingot_constantan'})
  e.remove({id: 'immersiveengineering:crafting/ingot_constantan_to_storage_constantan'})
  e.remove({id: 'immersiveengineering:crafting/nugget_constantan_to_ingot_constantan'})
  e.remove({id: 'immersiveengineering:crafting/storage_nickel_to_ingot_nickel'})
  e.remove({id: 'immersiveengineering:crafting/nugget_nickel_to_ingot_nickel'})
  e.remove({id: 'immersiveengineering:crafting/ingot_nickel_to_storage_nickel'})
  e.remove({id: 'immersiveengineering:crafting/storage_silver_to_ingot_silver'})
  e.remove({id: 'immersiveengineering:crafting/nugget_silver_to_ingot_silver'})
  e.remove({id: 'immersiveengineering:crafting/ingot_silver_to_storage_silver'})
  e.remove({id: 'immersiveengineering:crafting/stick_iron'})
  e.remove({id: 'immersiveengineering:crafting/ingot_steel_to_storage_steel'})
  e.remove({id: 'immersiveengineering:crusher/ingot_steel'})
  e.remove({id: 'immersiveengineering:crafting/ingot_uranium_to_storage_uranium'})
  e.remove({id: 'immersiveengineering:squeezer/graphite_dust'})
  e.remove({id: 'immersiveengineering:crafting/stick_steel'})
  e.remove({id: 'refinedstorage:quartz_enriched_iron'})
  e.remove({id: 'extrastorage:part/storagepart_256k'})
  e.remove({id: 'extrastorage:part/storagepart_1024k'})
  e.remove({id: 'extrastorage:part/storagepart_4096k'})
  e.remove({id: 'extrastorage:part/storagepart_16384k'})
  e.remove({id: 'extrastorage:part/storagepart_16384k_fluid'})
  e.remove({id: 'extrastorage:part/storagepart_65536k_fluid'})
  e.remove({id: 'extrastorage:part/storagepart_262144k_fluid'})
  e.remove({id: 'extrastorage:part/storagepart_1048576k_fluid'})
  e.remove({id: 'extrastorage:disk/shaped/disk_256k'})
  e.remove({id: 'extrastorage:disk/shaped/disk_1024k'})
  e.remove({id: 'extrastorage:disk/shaped/disk_4096k'})
  e.remove({id: 'extrastorage:disk/shaped/disk_16384k'})
  e.remove({id: 'extrastorage:disk/shaped/disk_16384k_fluid'})
  e.remove({id: 'extrastorage:disk/shaped/disk_65536k_fluid'})
  e.remove({id: 'extrastorage:disk/shaped/disk_262144k_fluid'})
  e.remove({id: 'extrastorage:disk/shaped/disk_1048576k_fluid'})
  e.remove({id: 'extrastorage:disk/shapeless/disk_256k'})
  e.remove({id: 'extrastorage:disk/shapeless/disk_1024k'})
  e.remove({id: 'extrastorage:disk/shapeless/disk_4096k'})
  e.remove({id: 'extrastorage:disk/shapeless/disk_16384k'})
  e.remove({id: 'extrastorage:disk/shapeless/disk_16384k_fluid'})
  e.remove({id: 'extrastorage:disk/shapeless/disk_65536k_fluid'})
  e.remove({id: 'extrastorage:disk/shapeless/disk_262144k_fluid'})
  e.remove({id: 'extrastorage:disk/shapeless/disk_1048576k_fluid'})
  e.remove({id: 'extrastorage:storage_block/block_256k'})
  e.remove({id: 'extrastorage:storage_block/block_1024k'})
  e.remove({id: 'extrastorage:storage_block/block_4096k'})
  e.remove({id: 'extrastorage:storage_block/block_16384k'})
  e.remove({id: 'extrastorage:storage_block/block_16384k_fluid'})
  e.remove({id: 'extrastorage:storage_block/block_65536k_fluid'})
  e.remove({id: 'extrastorage:storage_block/block_262144k_fluid'})
  e.remove({id: 'extrastorage:storage_block/block_1048576k_fluid'})
  e.remove({id: 'usrg:quartzgenerator'})
  e.remove({id: 'usrg:redstonegenerator'})
  e.remove({id: 'usrg:dyegenerator'})
  e.remove({id: 'usrg:oregenerator'})
  e.remove({id: 'immersiveengineering:crafting/wire_electrum'})
  e.remove({id: 'immersiveengineering:crafting/wire_aluminum'})
  e.remove({id: 'immersiveengineering:crafting/wire_steel'})
  e.remove({id: 'immersiveengineering:crafting/wire_lead'})
  e.remove({id: 'immersiveengineering:crafting/wire_copper'})
  e.remove({id: 'ironfurnaces:upgrade_copper'})
  e.remove({id: 'ironfurnaces:upgrade_iron'})
  e.remove({id: 'janoeo:blasting_aluminium_nether_ore_to_aluminium_ingot'})
  e.remove({id: 'janoeo:smelting_aluminium_nether_ore_to_aluminium_ingot'})
  e.remove({id: 'immersiveengineering:crafting/ingot_aluminum_from_blasting'})
  e.remove({id: 'immersiveengineering:crafting/ingot_aluminum'})
  e.remove({id: 'immersiveengineering:crafting/ingot_aluminum_from_dust'})
  e.remove({id: 'immersiveengineering:crafting/ingot_aluminum_from_dust_from_blasting'})
  e.remove({id: 'immersiveengineering:crafting/iron_ingot_from_dust_from_blasting'})
  e.remove({id: 'immersiveengineering:crafting/iron_ingot_from_dust'})
  e.remove({id: 'janoeo:blasting_iron_dust_to_iron_ingot'})
  e.remove({id: 'janoeo:smelting_iron_dust_to_iron_ingot'})
  e.remove({id: 'thermal:smelting/iron_ingot_from_dust_blasting'})
  e.remove({id: 'thermal:smelting/iron_ingot_from_dust_smelting'})
  e.remove({id: 'bloodmagic:smelting/ingot_iron'})
  e.remove({id: 'extendedcrafting:handheld_table'})
  e.remove({id: 'xreliquary:uncrafting/packed_ice'})
  e.remove({id: 'architects_palette:bone_meal'})
  e.remove({id: 'tconstruct:tools/modifiers/wither_bone_conversion'})
  e.remove({id: 'createaddition:crafting/heater_exchange'})
  e.remove({id: 'industrialforegoing:laser_drill_ore/tungsten'})
  e.remove({id: 'undergarden:blast_utherium_ore'})
  e.remove({id: 'undergarden:smelt_utherium_ore'})
  e.remove({id: 'bluepower:blast_furnace/tungsten_nugget'})
  e.remove({id: 'bluepower:furnace/tungsten_nugget'})
  e.remove({id: 'forbidden_arcanus:arcane_gold_nugget'})
  e.remove({id: 'mekanism:paper'})
  e.remove({id: 'overloaded:blocks/nether_star_from_block'})
  e.remove({id: 'forbidden_arcanus:arcane_gold_block'})
  e.remove({id: 'draconicevolution:draconium_ingot'})
  e.remove({id: 'byg:compat/create/anthracite_ore'})
  e.remove({id: 'byg:compat/create/ametrine_ore'})
  e.remove({id: 'byg:compat/create/lignite_ore'})
  e.remove({id: 'mekanism:processing/copper/ingot/from_dust_blasting'})
  e.remove({id: 'mekanism:processing/copper/ingot/from_dust_smelting'})
  e.remove({id: 'mekanism:processing/copper/ingot/from_ore_smelting'})
  e.remove({id: 'mekanism:processing/copper/ingot/from_ore_blasting'})
  e.remove({id: 'immersiveengineering:crafting/ingot_copper_from_dust_from_blasting'})
  e.remove({id: 'immersiveengineering:crafting/ingot_copper_from_dust'})
  e.remove({id: 'immersiveengineering:crafting/ingot_copper'})
  e.remove({id: 'immersiveengineering:crafting/ingot_copper_from_blasting'})
  e.remove({id: 'janoeo:blasting_copper_ore_to_copper_ingot'})
  e.remove({id: 'janoeo:smelting_copper_ore_to_copper_ingot'})
  e.remove({id: 'tconstruct:common/materials/copper_ingot_blasting'})
  e.remove({id: 'tconstruct:common/materials/copper_ingot_smelting'})
  e.remove({id: 'janoeo:blasting_copper_nether_ore_to_copper_ingot'})
  e.remove({id: 'janoeo:smelting_copper_nether_ore_to_copper_ingot'})
  e.remove({id: 'bluepower:blast_furnace/copper_ingot'})
  e.remove({id: 'bluepower:furnace/copper_ingot'})
  e.remove({id: 'thermal:smelting/copper_ingot_from_ore_blasting'})
  e.remove({id: 'thermal:smelting/copper_ingot_from_ore_smelting'})
  e.remove({id: 'create:blasting/ingot_tin_compat_mekanism'})
  e.remove({id: 'create:smelting/ingot_tin_compat_mekanism'})
  e.remove({id: 'mekanism:processing/tin/ingot/from_ore_smelting'})
  e.remove({id: 'mekanism:processing/tin/ingot/from_ore_blasting'})
  e.remove({id: 'mekanism:processing/tin/ingot/from_dust_blasting'})
  e.remove({id: 'mekanism:processing/tin/ingot/from_dust_smelting'})
  e.remove({id: 'janoeo:blasting_tin_ore_to_tin_ingot'})
  e.remove({id: 'janoeo:smelting_tin_ore_to_tin_ingot'})
  e.remove({id: 'janoeo:blasting_tin_nether_ore_to_tin_ingot'})
  e.remove({id: 'janoeo:smelting_tin_nether_ore_to_tin_ingot'})
  e.remove({id: 'industrialforegoing:laser_drill_ore/draconium' })
  e.remove({id: 'draconicevolution:components/draconium_ingot' })
  e.remove({id: 'thermal:furnace_1972435144' })
  e.remove({id: 'sonicraft:gold_nugget_to_ring'})
  e.remove({id: 'sophisticatedbackpacks:tank_upgrade'})
  e.remove({id: 'chisel:charcoal/raw'})
  e.remove({id: 'amb:charcoal_from_charcoal_block'})
  e.remove({id: 'amb:charcoal_block'})
  e.remove({id: 'mekanism:storage_blocks/charcoal'})
  e.remove({id: 'mekanism:charcoal'})
  e.remove({id: 'quark:building/crafting/compressed/charcoal_block'})
  e.remove({id: 'quark:building/crafting/compressed/charcoal_block_uncompress'})
  e.remove({id: 'immersiveengineering:crafting/ingot_lead_from_dust_from_blasting'})
  e.remove({id: 'immersiveengineering:crafting/ingot_lead_from_blasting'})
  e.remove({id: 'mekanism:processing/lead/ingot/from_ore_blasting'})
  e.remove({id: 'janoeo:blasting_lead_nether_ore_to_lead_ingot'})
  e.remove({id: 'create:blasting/ingot_lead_compat_immersiveengineering'})
  e.remove({id: 'create:blasting/ingot_lead_compat_mekanism'})
  e.remove({id: 'janoeo:blasting_lead_ore_to_lead_ingot'})
  e.remove({id: 'mekanism:processing/lead/ingot/from_dust_blasting'})
  e.remove({id: 'immersiveengineering:crafting/ingot_lead_from_dust'})
  e.remove({id: 'immersiveengineering:crafting/ingot_lead'})
  e.remove({id: 'mekanism:processing/lead/ingot/from_ore_smelting'})
  e.remove({id: 'create:smelting/ingot_lead_compat_immersiveengineering'})
  e.remove({id: 'create:smelting/ingot_lead_compat_mekanism'})
  e.remove({id: 'janoeo:smelting_lead_nether_ore_to_lead_ingot'})
  e.remove({id: 'janoeo:smelting_lead_ore_to_lead_ingot'})
  e.remove({id: 'mekanism:processing/lead/ingot/from_dust_smelting'})  
  e.remove({id: 'immersiveengineering:crafting/ingot_silver_from_dust_from_blasting'})
  e.remove({id: 'immersiveengineering:crafting/ingot_silver_from_blasting'})
  e.remove({id: 'immersiveengineering:crafting/ingot_silver_from_dust'})
  e.remove({id: 'immersiveengineering:crafting/ingot_silver'})
  e.remove({id: 'janoeo:smelting_silver_nether_ore_to_silver_ingot'})
  e.remove({id: 'janoeo:smelting_silver_ore_to_silver_ingot'})
  e.remove({id: 'janoeo:blasting_silver_nether_ore_to_silver_ingot'})
  e.remove({id: 'janoeo:blasting_silver_ore_to_silver_ingot'})
  e.remove({id: 'bluepower:furnace/silver_ingot'})
  e.remove({id: 'bluepower:blast_furnace/silver_ingot'})
  e.remove({id: 'create:smelting/ingot_silver_compat_immersiveengineering'})
  e.remove({id: 'create:smelting/silver_ingot_compat_iceandfire'})
  e.remove({id: 'create:blasting/ingot_silver_compat_immersiveengineering'})
  e.remove({id: 'create:blasting/silver_ingot_compat_iceandfire'})
  e.remove({id: 'iceandfire:furnace/silver_ingot'})
  e.remove({id: 'iceandfire:furnace/silver_ingot_blasting'})
  e.remove({id: 'immersiveengineering:crafting/ingot_steel_from_dust_from_blasting'})
  e.remove({id: 'immersiveengineering:crafting/ingot_steel_from_dust'})  
  e.remove({id: 'immersiveengineering:crafting/ingot_nickel_from_dust_from_blasting'})
  e.remove({id: 'immersiveengineering:crafting/ingot_nickel_from_blasting'})
  e.remove({id: 'immersiveengineering:crafting/ingot_nickel_from_dust'})
  e.remove({id: 'immersiveengineering:crafting/ingot_nickel'})
  e.remove({id: 'create:blasting/ingot_nickel_compat_immersiveengineering'})
  e.remove({id: 'create:smelting/ingot_nickel_compat_immersiveengineering'})
  e.remove({id: 'janoeo:blasting_osmium_ore_to_osmium_ingot'})
  e.remove({id: 'janoeo:blasting_osmium_nether_ore_to_osmium_ingot'})
  e.remove({id: 'janoeo:smelting_osmium_ore_to_osmium_ingot'})
  e.remove({id: 'janoeo:smelting_osmium_nether_ore_to_osmium_ingot'})
  e.remove({id: 'immersiveengineering:crafting/ingot_uranium_from_dust_from_blasting'})
  e.remove({id: 'immersiveengineering:crafting/ingot_uranium_from_blasting'})
  e.remove({id: 'immersiveengineering:crafting/ingot_uranium_from_dust'})
  e.remove({id: 'immersiveengineering:crafting/ingot_uranium'})
  e.remove({id: 'create:blasting/ingot_uranium_compat_immersiveengineering'})
  e.remove({id: 'create:smelting/ingot_uranium_compat_immersiveengineering'})
  e.remove({id: 'janoeo:blasting_uranium_ore_to_uranium_ingot'})
  e.remove({id: 'janoeo:blasting_uranium_nether_ore_to_uranium_ingot'})
  e.remove({id: 'janoeo:smelting_uranium_ore_to_uranium_ingot'})
  e.remove({id: 'janoeo:smelting_uranium_nether_ore_to_uranium_ingot'})
  e.remove({id: 'janoeo:smelting_zinc_ore_to_zinc_ingot'})
  e.remove({id: 'janoeo:blasting_zinc_ore_to_zinc_ingot'})
  e.remove({id: 'bluepower:blast_furnace/zinc_ingot'})
  e.remove({id: 'bluepower:furnace/zinc_ingot'})
  e.remove({id: 'bluepower:furnace/zinc_ingot_2'})
  e.remove({id: 'bluepower:furnace/zinc_ingot_3'})
  e.remove({id: 'quark:building/crafting/compressed/bamboo_block'})
  e.remove({id: 'amb:bamboo_block'})
  e.remove({id: 'thermal:storage/bamboo_block'})
  e.remove({id: 'betterendforge:smithing_table_from_terminite_ingot'})
  e.remove({id: 'betterendforge:smithing_table_from_thallasium_ingot'})

  e.remove({output: 'immersiveengineering:ingot_steel'})
  e.remove({output: 'mapperbase:steel_nugget'})
  e.remove({output: 'mapperbase:steel_boots'})
  e.remove({output: 'mapperbase:steel_leggings'})
  e.remove({output: 'mapperbase:steel_chestplate'})
  e.remove({output: 'mapperbase:steel_helmet'})
  e.remove({output: 'immersiveengineering:ingot_uranium'})
  
  removeIO('mapperbase:flatter_hammer')
  removeIO('mapperbase:raw_steel')
  removeIO('metalbarrels:wood_to_copper')
  removeIO('metalbarrels:wood_to_iron')
  removeIO('metalbarrels:wood_to_silver')
  removeIO('metalbarrels:wood_to_gold')
  removeIO('metalbarrels:wood_to_diamond')
  removeIO('metalbarrels:wood_to_obsidian')
  removeIO('metalbarrels:wood_to_netherite')
  removeIO('metalbarrels:copper_to_iron')
  removeIO('metalbarrels:copper_to_silver')
  removeIO('metalbarrels:copper_to_gold')
  removeIO('metalbarrels:copper_to_diamond')
  removeIO('metalbarrels:copper_to_obsidian')
  removeIO('metalbarrels:iron_to_silver')
  removeIO('metalbarrels:iron_to_gold')
  removeIO('metalbarrels:iron_to_diamond')
  removeIO('metalbarrels:iron_to_obsidian')
  removeIO('metalbarrels:silver_to_gold')
  removeIO('metalbarrels:silver_to_diamond')
  removeIO('metalbarrels:silver_to_obsidian')
  removeIO('metalbarrels:gold_to_diamond')
  removeIO('metalbarrels:gold_to_obsidian')
  removeIO('metalbarrels:diamond_to_obsidian')
  removeIO('metalbarrels:wood_to_crystal')
  removeIO('metalbarrels:copper_to_crystal')
  removeIO('metalbarrels:iron_to_crystal')
  removeIO('metalbarrels:silver_to_crystal')
  removeIO('metalbarrels:gold_to_crystal')
  removeIO('metalbarrels:diamond_to_crystal')
  removeIO('pickletweaks:coal_piece')
  function removeIO(item) {
    e.remove({output: item});
    e.remove({input: item});
}
})